所属するデリゲートグループを取得
cookie で指定したアカウントが所属するすべてのデリゲートグループを一覧表示します。各グループは代理対象のアカウントで表され、user_id、screen_name、name、avatar、role(Owner、Admin または Contributor)を含みます。そのアカウント自身のグループも role Owner で含まれます。TwexAPI の Bearer キーと、そのアカウントの有効な X Cookie または auth_token が必要です。
APIリファレンスに戻る
/Delegate Endpoints
POST
/twitter/delegate/groupsAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsoncookiestring必須Authorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | anyプロパティを表示プロパティを非表示
Any of:
string
stringany
anyレスポンス
200Success
codeinteger必須msgstring必須dataDelegateAccount[]必須プロパティを表示プロパティを非表示
Array of
DelegateAccountuser_idstring必須screen_namestring必須namestring必須avatarstring | any必須Profile image URL.
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyrolestring | any必須Owner, Admin or Contributor.
プロパティを表示プロパティを非表示
Any of:
string
stringany
any403Authentication or credit access denied
codeinteger必須msgstring必須dataany[] | any必須プロパティを表示プロパティを非表示
Any of:
any[]
Array of
anyanyany
any422Invalid request
codeinteger必須msgstring必須dataany[] | any必須プロパティを表示プロパティを非表示
Any of:
any[]
Array of
anyanyany
any500Upstream or server error
codeinteger必須msgstring必須dataany[] | any必須プロパティを表示プロパティを非表示
Any of:
any[]
Array of
anyanyany
any⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)
1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。
2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/twitter/delegate/groups" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
}'const response = await fetch("https://api.twexapi.io/twitter/delegate/groups", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/delegate/groups",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
},
)レスポンス例
{
"code": 200,
"msg": "success",
"data": [
{
"user_id": "1234567890123456788",
"screen_name": "example_owner",
"name": "Example Owner",
"avatar": "https://pbs.twimg.com/profile_images/owner_normal.jpg",
"role": "Owner"
},
{
"user_id": "1234567890123456789",
"screen_name": "example_brand",
"name": "Example Brand",
"avatar": "https://pbs.twimg.com/profile_images/brand_normal.jpg",
"role": "Contributor"
}
]
}{
"code": 403,
"msg": "Authentication or credit access denied",
"data": []
}{
"code": 422,
"msg": "Invalid request",
"data": []
}{
"code": 500,
"msg": "Upstream or server error",
"data": []
}